player_device_datamode_req Struct Reference

Configuration request: Change data delivery mode. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | mode
| The requested mode.

## Detailed Description

Configuration request: Change data delivery mode.

The Player server supports two data modes, described above. By default, the server operates in `PLAYER_DATAMODE_PUSH` mode. To switch to a different mode send a request with the format given below. The server's reply will be a zero-length acknowledgement.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45